package com.bzd.system.service.fwgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 服务包提成发放失败明细 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SFwglServercommissionrewardinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSFwglServercommissionrewardinfo(PageData pd)throws Exception {
        return daoSupport.update("SFwglServercommissionrewardinfoMapper.addSFwglServercommissionrewardinfo", pd);
    }

    public List<PageData> findSFwglServercommissionrewardinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SFwglServercommissionrewardinfoMapper.selectSFwglServercommissionrewardinfoList", pd);
    }

    public Integer SFwglServercommissionrewardinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SFwglServercommissionrewardinfoMapper.SFwglServercommissionrewardinfoRemove", pd);
    }


    public Integer updateSFwglServercommissionrewardinfo(PageData pd)throws Exception {
        return daoSupport.update("SFwglServercommissionrewardinfoMapper.updateSFwglServercommissionrewardinfo", pd);
    }

}
